#!/bin/bash

if [ "$1" == "clean" ]; then
	rm -f *.ll *.bc *.o *.opt *.os
	exit 0
fi

tests=$(ls -1 *.c)
for test in $tests; do
	out_bc=$(basename $test .c).bc
	out_ll=$(basename $test .c).ll

	clang -emit-llvm -S -O0 $test -o $out_ll
	opt -mem2reg -S $out_ll -o $out_ll
done

