#include <stdio.h>
#include <time.h>
#include <stdlib.h>

static int setInitialValue() {
	int var = rand() % 100;
	while(var > 10)
		var = var >> 1;
	if(var & 1)
		++var;
	var = var << 5;
	var = var ^ var;
	return var + 150;
}

static int initX(int value) {
	return value / 2;
}

static int initY(int value) {
	return value - 70;
}

static int initZ(int value) {
	return value - 100;
}

static int doWork(int value) {
	int x, y, z, max;

	x = initX(value);
	y = initY(value);
	z = initZ(value);
	max = 0;

	if (x > y) {
		if (x > z) {
			printf("The winner is x\n");
			max = x;
		}
		else {
			printf("The winner is z\n");
			max = z;
		}
	}
	else {
		if (y > z) {
			printf("The winner is y\n");
			max = y;
		}
		else {
			printf("The winner is z\n");
			max = z;
		}
	}

	return max;
}

int main() {
	int value;

	srand(time(NULL));
	value = setInitialValue();

	return doWork(value);
}