#include <stdio.h>
#include <stdlib.h>

struct Node {
	int value;
	struct Node *next;
};

static int AlwaysTrue() {
	int x = 1;
	return x;
}

static int getX(int x) {
	int a, b, c, d, e, f;

	a = 5;
	if(a < 0)
		return 100;

	b = a + x;
	c = b * 5 + b * 4 + b * 3 + b * 2 + b * 1 + b * 0;
	d = (b+c) / 2;


	if (d > 100)
		return 100;
	else if (d < 0)
		return 0;

	if(AlwaysTrue())
		return d;

	e = d * 2;
	if(!AlwaysTrue())
		return e;

	f = d + e;
	if(!AlwaysTrue())
		return a;

	b = b + 1;
	if(!AlwaysTrue())
		return b;

	c = c + 2;
	if(!AlwaysTrue())
		return c;

	d = d + 3;
	if(!AlwaysTrue())
		return d;

	e = e + 4;
	if(!AlwaysTrue())
		return e;

	f = f + 5;
	if(!AlwaysTrue())
		return f;

	return -1;
}

static struct Node* createList() {
	struct Node *list, *node;
	int x = 0, i;

	/* create first node of list separately, because we need to keep the start point of the list */
	list = (struct Node *)malloc(sizeof(struct Node));
	if(!list)
		return NULL;

	list->value = getX(0);
	list->next = NULL;

	/* create the other nodes of the list */
	node = list;

	for (i = 1; i < 10; i++) {
		node->next = (struct Node*)malloc(sizeof(struct Node));
		if(!node->next)
			return NULL;

		node->next->value = getX(i);
		node->next->next = NULL;
		node = node->next;
	}

	return list;
}

static void wasteWork() {
	int x = 100000;
	while(x >= 10) {
		x--;
	}
}

static int processList(struct Node *list) {
	struct Node *node = list;
	int i = 0, sum = 0;

	wasteWork();

	if(!node)
		return i;
	node->value = i * i;
	node->value++;
	node->value--;
	sum += node->value;

	node = node->next;
	i++;

	if(!node)
		return i;
	node->value = i * i;
	node->value++;
	node->value--;
	sum += node->value;

	node = node->next;
	i++;

	if(!node)
		return i;
	node->value = i * i;
	node->value++;
	node->value--;
	sum += node->value;

	node = node->next;
	i++;

	if(!node)
		return i;
	node->value = i * i;
	node->value++;
	node->value--;
	sum += node->value;

	node = node->next;
	i++;

	if(!node)
		return i;
	node->value = i * i;
	node->value++;
	node->value--;
	sum += node->value;

	node = node->next;
	i++;

	if(!node)
		return i;
	node->value = i * i;
	node->value++;
	node->value--;
	sum += node->value;

	node = node->next;
	i++;

	while(1) {
		if(!node)
			return sum;

		node->value = i * i;
		node->value++;
		node->value--;
		sum += node->value;

		node = node->next;
		i++;
	}

	return -1;
}

static void freeList(struct Node *list) {
	struct Node *node = list, *aux;

	while(node != NULL) {
		aux = node;
		node = node->next;
		free(aux);
	}
}

static void printList(struct Node *list) {
	struct Node *p;
	p = list;

	if(!p || !p->next) {
		printf("[ ]\n");
		return;
	}

	printf("[ ");
	while(p->next->next != NULL) {
		printf("%2i, ", p->value);
		p = p->next;
	}
	printf("%2i ]\n", p->next->value);
}

int main() {
	struct Node *list;
	int ret;

	list = createList();
	printList(list);
	if(!list) {
		printf("malloc error!\n");
		return -1;
	}

	ret = processList(list);
	printList(list);
	printf("Sum is %i\n", ret);
	freeList(list);

	return ret;
}
